let form = document.getElementById('form');

function GetInput() {
    let rawInput = form.querySelector('textarea[name="input-text"]').value;
    getLetterCount(rawInput);
    let trimmed = rawInput.trim();
    let splitted = trimmed.split(' ');
    getWordCount(splitted.length);
    return splitted;
}

function WordPlace(max) {
    return Math.floor(Math.random() * max);
}

function getLetterCount(text) {
    let letterCount = document.getElementById('letter-count');
    letterCount.innerHTML = 'letters:' + text.length;
}

function getWordCount(wordCounter) {
    let wordCount = document.getElementById('word-count');
    wordCount.innerHTML = 'words:' + wordCounter;
}

function ScrambleWords(event) {
    event.preventDefault();
    let preScrambleText = GetInput();
    let scrambledText = [];

    while (preScrambleText.length > 0) {
        let nxtWord = preScrambleText.splice(
            WordPlace(preScrambleText.length),
            1
        );
        scrambledText.push(nxtWord);
    }
    PostScrambled(scrambledText);
}

function PostScrambled(text) {
    let outputText = document.getElementById('output');
    outputText.innerHTML = text.join(' ');
}

form.addEventListener('submit', ScrambleWords);
form.addEventListener('input', ScrambleWords);
