// oef 1
// [1, 2, 3, 4, 5, 6, 7] => [2, 4, 6]

let array = [1, 2, 3, 4, 5, 6, 7];

array = array.filter(function(item) {
    return item % 2 === 0;
});

console.log(array);

// oef 2
// ['a', 'b', 'c'] => ['A', 'B', 'C']

array = ['a', 'b', 'c'];

array = array.map(function(item) {
    return item.toUpperCase();
});

console.log(array);

// oef 3
// [1, 2, 3] => ['1', '2', '3']

array = [1, 2, 3];

array = array.map(function(item) {
    return item.toString();
});

console.log(array);

// oef 4
// [
// {name: 'Tom', age: 5},
// {name: 'Ben', age: 6},
// {name: 'Charly', age: 2},
// ];
// => ['Tom', 'Ben', 'Charly']

array = [
    { name: 'Tom', age: 5 },
    { name: 'Ben', age: 6 },
    { name: 'Charly', age: 2 },
];

array = array.map(function(item) {
    return item.name;
});

console.log(array);

// oef 5
// enkel ouder dan 4
// [
// {name: 'Tom', age: 5},
// {name: 'Ben', age: 6},
// {name: Charly, age: 2},
// ];

array = [
    { name: 'Tom', age: 5 },
    { name: 'Ben', age: 6 },
    { name: 'Charly', age: 2 },
];

array = array.filter(function(item) {
    return item.age > 4;
});

console.log(array);

// oef 6
// enkel de namen van wie ouder is dan 4
// [
// {name: 'Tom', age: 5},
// {name: 'Ben', age: 6},
// {name: Charly, age: 2},
// ];

array = [
    { name: 'Tom', age: 5 },
    { name: 'Ben', age: 6 },
    { name: 'Charly', age: 2 },
];

array = array
    .filter(function(item) {
        return item.age > 4;
    })
    .map(function(item) {
        return item.name;
    });

console.log(array);

// oef 7
// voor plus 18 add naam + "can go to the matrix!"
// min 18 add naam + "is under age!!
// [
//     {
//         name: "Angelina Jolie",
//         age: 80
//     },
//     {
//         name: "Eric Jones",
//         age: 2
//     },
//     {
//         name: "Paris Hilton",
//         age: 5
//     },
//     {
//         name: "Kayne West",
//         age: 16
//     },
//     {
//         name: "Bob Ziroll",
//         age: 100
//     }
// ];

array = [
    { name: 'Angelina Jolie', age: 80 },
    { name: 'Eric Jones', age: 2 },
    { name: 'Paris Hilton', age: 5 },
    { name: 'Kayne West', age: 16 },
    { name: 'Bob Ziroll', age: 100 },
];

array = array.map(function(item) {
    if (item.age > 18) {
        return item.name + ' can go to the matrix!';
    } else {
        return item.name + ' is under age!';
    }
});

console.log(array);

// oef 8
// een join schrijven met array reduce functie

array = ['ik', 'ben', 'toffer', 'dan', 'Senne'];

array = array.reduce(function(result, item) {
    if (!result) {
        return item;
    }
    return result + ' ' + item;
}, false);

console.log(array);

// oef 9
// de som van de leeftijden van oefening 7

array = [
    { name: 'Angelina Jolie', age: 80 },
    { name: 'Eric Jones', age: 2 },
    { name: 'Paris Hilton', age: 5 },
    { name: 'Kayne West', age: 16 },
    { name: 'Bob Ziroll', age: 100 },
];

array = array.reduce(function(result, item) {
    return result + item.age;
}, false);

console.log(array);
